>From a56bb508a7c5843174ec968f6f59e98ffe37efcc Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Fri, 19 Aug 2011 17:47:30 +0300
Subject: [carFl mem 39/65] Globalisation pass 1: fixes programmer.h

This commit adjusts headers according to previous patches.

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 programmer.h |   34 +++++++++++++++++-----------------
 1 files changed, 17 insertions(+), 17 deletions(-)

diff --git a/programmer.h b/programmer.h
index 8087318..ec9c471 100644
--- a/programmer.h
+++ b/programmer.h
@@ -88,7 +88,7 @@ struct programmer_entry {
 	const char *vendor;
 	const char *name;
 
-	int (*init) (void);
+	int (*init) (globals *g);
 
 	void * (*map_flash_region) (const char *descr, unsigned long phys_addr,
 				    size_t len);
@@ -107,7 +107,7 @@ struct programmer_entry {
 
 extern const struct programmer_entry programmer_table[];
 
-int programmer_init(char *param);
+int programmer_init(globals *g, char *param);
 int programmer_shutdown(void);
 
 enum bitbang_spi_master_type {
@@ -303,7 +303,7 @@ extern int force_boardenable;
 extern int force_boardmismatch;
 void probe_superio(void);
 int register_superio(struct superio s);
-int internal_init(void);
+int internal_init(globals *g);
 void internal_chip_writeb(uint8_t val, chipaddr addr);
 void internal_chip_writew(uint16_t val, chipaddr addr);
 void internal_chip_writel(uint32_t val, chipaddr addr);
@@ -349,7 +349,7 @@ void rmmio_vall(void *addr);
 int noop_shutdown(void);
 void *fallback_map(const char *descr, unsigned long phys_addr, size_t len);
 void fallback_unmap(void *virt_addr, size_t len);
-uint8_t noop_chip_readb(const chipaddr addr);
+uint8_t noop_chip_readb(globals, const chipaddr addr);
 void noop_chip_writeb(uint8_t val, chipaddr addr);
 void fallback_chip_writew(uint16_t val, chipaddr addr);
 void fallback_chip_writel(uint32_t val, chipaddr addr);
@@ -360,7 +360,7 @@ void fallback_chip_readn(uint8_t *buf, const chipaddr addr, size_t len);
 
 /* dummyflasher.c */
 #if CONFIG_DUMMY == 1
-int dummy_init(void);
+int dummy_init(globals *g);
 void *dummy_map(const char *descr, unsigned long phys_addr, size_t len);
 void dummy_unmap(void *virt_addr, size_t len);
 void dummy_chip_writeb(uint8_t val, chipaddr addr);
@@ -549,21 +549,21 @@ struct spi_programmer {
 	enum spi_controller type;
 	int max_data_read;
 	int max_data_write;
-	int (*command)(unsigned int writecnt, unsigned int readcnt,
+	int (*command)(globals *g, unsigned int writecnt, unsigned int readcnt,
 		   const unsigned char *writearr, unsigned char *readarr);
-	int (*multicommand)(struct spi_command *cmds);
+	int (*multicommand)(globals *g, struct spi_command *cmds);
 
 	/* Optimized functions for this programmer */
-	int (*read)(struct flashchip *flash, uint8_t *buf, int start, int len);
-	int (*write_256)(struct flashchip *flash, uint8_t *buf, int start, int len);
+	int (*read)(globals *g, struct flashchip *flash, uint8_t *buf, int start, int len);
+	int (*write_256)(globals *g, struct flashchip *flash, uint8_t *buf, int start, int len);
 };
 
 extern const struct spi_programmer *spi_programmer;
-int default_spi_send_command(unsigned int writecnt, unsigned int readcnt,
+int default_spi_send_command(globals *g, unsigned int writecnt, unsigned int readcnt,
 			     const unsigned char *writearr, unsigned char *readarr);
-int default_spi_send_multicommand(struct spi_command *cmds);
-int default_spi_read(struct flashchip *flash, uint8_t *buf, int start, int len);
-int default_spi_write_256(struct flashchip *flash, uint8_t *buf, int start, int len);
+int default_spi_send_multicommand(globals *g, struct spi_command *cmds);
+int default_spi_read(globals *g, struct flashchip *flash, uint8_t *buf, int start, int len);
+int default_spi_write_256(globals *g, struct flashchip *flash, uint8_t *buf, int start, int len);
 void register_spi_programmer(const struct spi_programmer *programmer);
 
 /* ichspi.c */
@@ -574,13 +574,13 @@ int ich_init_spi(struct pci_dev *dev, uint32_t base, void *rcrb,
 int via_init_spi(struct pci_dev *dev);
 
 /* it85spi.c */
-int it85xx_spi_init(struct superio s);
+int it85xx_spi_init(globals *g, struct superio s);
 
 /* it87spi.c */
 void enter_conf_mode_ite(uint16_t port);
 void exit_conf_mode_ite(uint16_t port);
 void probe_superio_ite(void);
-int init_superio_ite(void);
+int init_superio_ite(globals *g);
 
 /* mcp6x_spi.c */
 int mcp6x_spi_init(int want_spi);
@@ -596,8 +596,8 @@ int wbsio_check_for_spi(void);
 #if CONFIG_SERPROG == 1
 int serprog_init(void);
 void serprog_chip_writeb(uint8_t val, chipaddr addr);
-uint8_t serprog_chip_readb(const chipaddr addr);
-void serprog_chip_readn(uint8_t *buf, const chipaddr addr, size_t len);
+uint8_t serprog_chip_readb(g, const chipaddr addr);
+void serprog_chip_readn(g, uint8_t *buf, const chipaddr addr, size_t len);
 void serprog_delay(int delay);
 
 /* serial.c */
-- 
1.7.6

